<?php

/**
 * co_adjuntos_ep actions.
 *
 * @package    contratacion
 * @subpackage co_adjuntos_ep
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class co_adjuntos_epActions extends sfActions
{
 /**
  * Executes index action
  *
  * @param sfRequest $request A request object
  */
  
    
    public function executeList(sfWebRequest $request) {

        //Revisar que sea post
        //$this->forward404Unless($request->isMethod('post'));
        //Guardar los parametros del request en el log
        $this->logMessage("---BEGIN Logging request");
        foreach ($request->getPostParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("--------------------------------------------------*  Ip: " . $_SERVER['REMOTE_ADDR']);
        foreach ($request->getGetParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("---END Logging request");

        /*
         * Paginacion
         */
        if (isset($request['_startRow'])) {
            $rowStart = $request['_startRow'];
        } else {
            $rowStart = 0;
        }

        if (isset($request['_endRow'])) {
            $rowEnd = $request['_endRow'];
        } else {
            $rowEnd = 75;
        }

        //ordenar consulta
        if (isset($request['_sortBy'])) {
            $sortBy = " Order by " . $request['_sortBy'];
        } else {
            $sortBy = 'order by descripcion';
        }
        
        try {
            
            $id_estudios_previos = $request['id_estudios_previos'];
            
                
            
            //sentencia sql
            $sql = <<<EOD
ALTER SESSION SET NLS_DATE_FORMAT = "YYYY-MM-DD"
EOD;
            //ejecuta y obtiene el resultado del sql
            CN_TABLE::executeSQL($sql);
            
            $sql = <<<EOD
                    select count(*) as count from (
                       select tab0.id_estudios_previos,tab1.descripcion, tab0.valor

from co_detalle_ep tab0

join co_campo_ep tab1 ON tab1.id_campo_ep = tab0.id_campo_ep
join co_tipo_captura tab2 ON tab2.id_tipo_captura = tab1.tipo_captura.id_tipo_captura and tab2.descripcion = 'ArchivoItem'
                    where tab0.id_estudios_previos = $id_estudios_previos
                    )
EOD;
            
        $total_record_count = CN_TABLE::executeSQL($sql);
        $total_record_count = $total_record_count[0]["count"];
        
        
        $sql = <<<EOD
                SELECT * FROM ( SELECT row_.*, ROWNUM rownum_ FROM (
 select tab0.id_estudios_previos,tab1.descripcion, tab0.valor

from co_detalle_ep tab0

join co_campo_ep tab1 ON tab1.id_campo_ep = tab0.id_campo_ep
join co_tipo_captura tab2 ON tab2.id_tipo_captura = tab1.tipo_captura.id_tipo_captura and tab2.descripcion = 'ArchivoItem'
                    where tab0.id_estudios_previos = $id_estudios_previos
                $sortBy
          
) row_ WHERE ROWNUM <=  $rowEnd   ) where rownum_ >  $rowStart
EOD;
            
        $resultado = CN_TABLE::executeSQL($sql);
        


            $this->totalRows = $total_record_count;
            $this->startRow = $rowStart;
            $this->endRow = $rowStart + count($resultado);
            $this->list_data = $resultado;
            $this->logMessage("[co_adjuntos_ep] Consulta exitosa.");
            
            
        } catch (Exception $e) {

            $this->status = 1;
            $this->totalRows = 0;
            $this->startRow = 0;
            $this->endRow = 0;
            $this->list_data = array();
            $this->logMessage("ERROR!!!");
            $this->logMessage($e->getMessage());
        }
        
        
    }
}
